[**@rxap/config**](../README.md)

***

[@rxap/config](../globals.md) / ConfigTestingService

# Class: ConfigTestingService

Defined in: [config-testing-service.ts:9](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/config/src/lib/config-testing-service.ts#L9)

## Implements

- [`ConfigService`](ConfigService.md)

## Constructors

### new ConfigTestingService()

> **new ConfigTestingService**(): [`ConfigTestingService`](ConfigTestingService.md)

#### Returns

[`ConfigTestingService`](ConfigTestingService.md)

## Properties

### config

> `readonly` **config**: `Record`\<`string`, `any`\> = `{}`

Defined in: [config-testing-service.ts:10](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/config/src/lib/config-testing-service.ts#L10)

#### Implementation of

[`ConfigService`](ConfigService.md).[`config`](ConfigService.md#config-1)

## Methods

### clearLocalConfig()

> **clearLocalConfig**(): `void`

Defined in: [config-testing-service.ts:13](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/config/src/lib/config-testing-service.ts#L13)

#### Returns

`void`

#### Implementation of

[`ConfigService`](ConfigService.md).[`clearLocalConfig`](ConfigService.md#clearlocalconfig)

***

### get()

> **get**\<`T`\>(`propertyPath`, `defaultValue`?): `undefined` \| `T`

Defined in: [config-testing-service.ts:20](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/config/src/lib/config-testing-service.ts#L20)

#### Type Parameters

• **T**

#### Parameters

##### propertyPath

`string`

##### defaultValue?

`T`

#### Returns

`undefined` \| `T`

#### Implementation of

[`ConfigService`](ConfigService.md).[`get`](ConfigService.md#get)

***

### getOrThrow()

> **getOrThrow**\<`T`\>(`propertyPath`): `T`

Defined in: [config-testing-service.ts:24](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/config/src/lib/config-testing-service.ts#L24)

#### Type Parameters

• **T**

#### Parameters

##### propertyPath

`string`

#### Returns

`T`

#### Implementation of

[`ConfigService`](ConfigService.md).[`getOrThrow`](ConfigService.md#getorthrow)

***

### set()

> **set**\<`T`\>(`propertyPath`, `value`): `void`

Defined in: [config-testing-service.ts:16](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/config/src/lib/config-testing-service.ts#L16)

#### Type Parameters

• **T**

#### Parameters

##### propertyPath

`string`

##### value

`T`

#### Returns

`void`

***

### setLocalConfig()

> **setLocalConfig**(`config`): `void`

Defined in: [config-testing-service.ts:33](https://gitlab.com/rxap/packages/-/blob/9978b20018f781a5952245bfe2db15ab7612611c/packages/angular/config/src/lib/config-testing-service.ts#L33)

#### Parameters

##### config

`Record`\<`string`, `any`\>

#### Returns

`void`

#### Implementation of

[`ConfigService`](ConfigService.md).[`setLocalConfig`](ConfigService.md#setlocalconfig)
